Bug 811807 - 3.1 - beta3 - vdsm: enable nwfilter
3.1 - beta3 - vdsm: enable nwfilter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.4
All Linux
high Severity high
: beta
: ---
Assigned To: Moti Asayag
Meni Yakove
network
: FutureFeature
Depends On:
Blocks: rhev_nwfilter
  Show dependency treegraph
 
Reported: 2012-04-11 22:32 EDT by Douglas Schilling Landgraf
Modified: 2015-03-06 12:07 EST (History)
15 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-32.0
Doc Type: Enhancement
Doc Text:
Previously, virtual machines running on the host or vNIC hot-plug were vulnerable to spoof attacks unless network filter rules were enabled. This meant that virtual machines were able to impersonate other virtual machines, and that they could cause virtual machine traffic to be rerouted to destinations other than those intended by the Red Hat Entperprise Virtualization environment. VDSM now defines a custom rule called vdsm-no-mac-spoofing on libvirt nw-filter, which is comprised of two rules: no-mac-spoofing and no-arp-mac-spoofing. VDSM exposes the option to use the vdsm-no-mac-spoofing filter when running a virtual machine or when hot-plug vNIC is invoked. As a result, when VDSM is provided with the filter to be used when running virtual machines or activating vNICs, it now instructs libvirt to enforce the filters for the vNICs by defining ebtables rules that control traffic and prevent spoofing.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:57:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1508 normal SHIPPED_LIVE Important: rhev-3.1.0 vdsm security, bug fix, and enhancement update 2012-12-04 18:48:05 EST

  None (edit)
Description Douglas Schilling Landgraf 2012-04-11 22:32:50 EDT
Description of problem:

As default vdsm should enable nwfilter. All virtual machines will be 
started with no-arp-spoofing/no-ip-spoofing/no-mac-spoofing. However, 
it's also required to support communication with RHEVM about this 
feature, to give a chance to disable/enable (might impact performance or 
these rules can prevent valid operations to run).
Comment 2 RHEL Product and Program Management 2012-05-04 00:06:05 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 3 Simon Grinberg 2012-08-13 04:34:17 EDT
(In reply to comment #0)
> Description of problem:
> 
> As default vdsm should enable nwfilter. All virtual machines will be 
> started with no-arp-spoofing/no-ip-spoofing/no-mac-spoofing. However, 

Just note that no-ip-spoofing should not be implemented at this stage.
Comment 5 Moti Asayag 2012-08-20 18:05:30 EDT
Suggested patch:

http://gerrit.ovirt.org/#/c/7354/
Comment 7 Meni Yakove 2012-09-24 04:03:47 EDT
Verified on vdsm-4.9.6-34.0.el6_3.x86_64
Comment 10 errata-xmlrpc 2012-12-04 13:57:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html
Comment 11 Brook Harty 2015-03-06 12:07:50 EST
FYI,

You cant run Redhat 7 LXC with mac filtering on, it stops the guests at the bridge.

Prob needs to be in the ERRATA also.

Note You need to log in before you can comment on or make changes to this bug.